{
  "name": "gravitee-apim-console-webui",
  "version": "3.20.0-SNAPSHOT",
  "description": "Gravitee.io APIM - UI Console",
  "dependencies": {
    "@angular/animations": "13.3.12",
    "@angular/cdk": "13.3.9",
    "@angular/common": "13.3.12",
    "@angular/compiler": "13.3.12",
    "@angular/core": "13.3.12",
    "@angular/forms": "13.3.12",
    "@angular/material": "13.3.9",
    "@angular/platform-browser": "13.3.12",
    "@angular/platform-browser-dynamic": "13.3.12",
    "@angular/upgrade": "13.3.12",
    "@asyncapi/web-component": "1.0.0-next.15",
    "@fontsource/libre-franklin": "4.4.5",
    "@gravitee/ui-analytics": "5.4.0",
    "@gravitee/ui-components": "3.38.5",
    "@gravitee/ui-particles-angular": "5.7.3",
    "@gravitee/ui-policy-studio-angular": "5.7.3",
    "@highcharts/map-collection": "1.1.4",
    "@ngx-formly/core": "6.1.1",
    "@ngx-formly/material": "6.1.1",
    "@toast-ui/editor": "2.5.4",
    "@toast-ui/editor-plugin-code-syntax-highlight": "1.0.0",
    "@uirouter/angular": "9.1.0",
    "@uirouter/angular-hybrid": "12.0.0",
    "@uirouter/angularjs": "1.0.30",
    "@uirouter/core": "6.0.8",
    "@uirouter/rx": "1.0.0",
    "@webcomponents/webcomponentsjs": "2.5.0",
    "amdefine": "1.0.1",
    "angular": "1.8.2",
    "angular-animate": "1.8.2",
    "angular-aria": "1.8.2",
    "angular-cookies": "1.8.2",
    "angular-drag-and-drop-lists": "2.1.0",
    "angular-gridster": "0.13.14",
    "angular-highlightjs": "0.7.1",
    "angular-jwt": "0.1.11",
    "angular-loading-bar": "0.9.0",
    "angular-local-storage": "0.7.1",
    "angular-material": "1.2.2",
    "angular-material-data-table": "0.10.10",
    "angular-material-icons": "0.7.1",
    "angular-messages": "1.8.2",
    "angular-moment-picker": "0.10.2",
    "angular-permission": "6.0.0",
    "angular-sanitize": "1.8.2",
    "angular-schema-form": "0.8.13",
    "angular-scroll": "1.0.2",
    "angular-timeline": "1.7.0",
    "angular-ui-tree": "2.22.6",
    "angular-ui-validate": "1.2.3",
    "angular-utf8-base64": "0.0.5",
    "asciidoctor": "2.2.4",
    "asciidoctor-highlight.js": "0.3.0",
    "codemirror-asciidoc": "1.0.4",
    "diff": "3.5.0",
    "diff2html": "3.4.16",
    "dragular": "4.6.0",
    "highcharts": "9.2.2",
    "highlight.js": "10.7.3",
    "jdenticon": "2.2.0",
    "jquery": "3.6.0",
    "js-yaml": "3.14.1",
    "lodash": "4.17.21",
    "marked": "^4.0.16",
    "md-color-picker": "0.2.6",
    "md-steppers": "0.4.1",
    "messageformat": "2.3.0",
    "moment": "2.29.4",
    "ng-file-upload": "12.2.13",
    "ng-infinite-scroll": "1.3.0",
    "ngclipboard": "2.0.0",
    "ngx-file-helpers": "^7.0.0",
    "read-more": "0.0.0",
    "reflect-metadata": "0.1.13",
    "rxjs": "6.6.7",
    "satellizer": "0.15.5",
    "swagger-ui-dist": "4.3.0",
    "tinycolor2": "1.4.2",
    "traverse": "0.6.6",
    "unicode": "11.0.1",
    "v-accordion": "1.6.0",
    "zone.js": "0.11.4"
  },
  "devDependencies": {
    "@angular-devkit/architect": "0.1303.10",
    "@angular-devkit/build-angular": "13.3.10",
    "@angular/cli": "13.3.10",
    "@angular/compiler-cli": "13.3.12",
    "@babel/core": "7.16.12",
    "@babel/preset-env": "7.16.11",
    "@storybook/addon-essentials": "6.4.17",
    "@storybook/angular": "6.4.17",
    "@types/angular": "1.8.4",
    "@types/angular-local-storage": "0.7.0",
    "@types/angular-material": "1.1.73",
    "@types/angular-mocks": "1.7.1",
    "@types/core-js": "2.5.5",
    "@types/diff": "5.0.2",
    "@types/jest": "27.4.0",
    "@types/jquery": "3.5.13",
    "@types/lodash": "4.14.178",
    "@types/marked": "^4.0.3",
    "@types/node": "16.10.9",
    "@typescript-eslint/eslint-plugin": "5.2.0",
    "@typescript-eslint/parser": "5.2.0",
    "angular-mocks": "1.8.2",
    "babel-core": "6.26.3",
    "babel-jest": "27.4.6",
    "babel-loader": "7.1.5",
    "chromatic": "6.4.2",
    "clean-webpack-plugin": "3.0.0",
    "compression": "1.7.4",
    "copy-webpack-plugin": "6.4.1",
    "css-loader": "1.0.1",
    "eslint": "8.8.0",
    "eslint-config-angular": "0.5.0",
    "eslint-config-prettier": "8.3.0",
    "eslint-plugin-angular": "4.1.0",
    "eslint-plugin-import": "2.25.4",
    "eslint-plugin-jsdoc": "37.7.0",
    "express": "4.17.2",
    "file-loader": "1.1.11",
    "html-loader": "0.5.5",
    "html-webpack-plugin": "3.2.0",
    "http-proxy-middleware": "1.3.1",
    "ignore-loader": "0.1.2",
    "jest": "27.4.7",
    "jest-preset-angular": "11.1.0",
    "license-check-and-add": "4.0.3",
    "mini-css-extract-plugin": "1.6.2",
    "ng-annotate-loader": "0.7.0",
    "ng-annotate-patched": "1.14.0",
    "prettier": "2.5.1",
    "sass": "1.49.0",
    "sass-loader": "10.2.1",
    "storybook-addon-designs": "6.2.1",
    "style-loader": "0.23.1",
    "to-string-loader": "1.2.0",
    "ts-jest": "27.1.3",
    "ts-loader": "8.3.0",
    "typescript": "4.6.4",
    "url-loader": "1.1.2",
    "webpack": "4.46.0",
    "webpack-cli": "4.10.0",
    "webpack-dev-server": "4.7.3"
  },
  "engines": {
    "node": "^16.10",
    "npm": "^7.24"
  },
  "scripts": {
    "build:prod": "webpack -c ./conf/webpack-dist.conf.js",
    "compile": "tsc",
    "lint": "npm run lint:eslint && npm run prettier",
    "lint:eslint": "eslint --ext .json,.ts ./src",
    "lint:eslint:fix": "eslint --ext .json,.ts ./src --fix",
    "lint:fix": "npm run lint:eslint:fix && npm run lint:license:fix && npm run prettier:fix",
    "lint:license": "license-check-and-add check -f license-check-config.json",
    "lint:license:fix": "license-check-and-add add -f license-check-config.json -r",
    "postinstall": "ngcc",
    "prettier": "prettier --check \"**/*.{js,ts,html,css,scss,json}\"",
    "prettier:fix": "prettier --write \"**/*.{js,ts,html,css,scss,json}\"",
    "prettier:list": "prettier --list-different \"**/*.{js,ts,html,css,scss,json}\"",
    "storybook": "start-storybook -p 6006 -s src/assets",
    "build-storybook": "build-storybook",
    "serve": "webpack serve -c ./conf/webpack.conf.js --progress --hot",
    "serve:apim-master": "BACKEND_ENV=apim-master-api.team-apim.gravitee.dev npm run serve",
    "serve:prod": "node scripts/serve.js",
    "test": "jest --detectOpenHandles",
    "test:auto": "jest --watch",
    "test:coverage": "NODE_OPTIONS=--max-old-space-size=3072 jest --runInBand --ci --collectCoverage=true"
  }
}
